# Uses of Class
org.apache.zookeeper.server.DataTree.ZxidDigest

Packages that use DataTree.ZxidDigest
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of DataTree.ZxidDigest in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return DataTree.ZxidDigest
Modifier and Type
Method
Description
`DataTree.ZxidDigest`
DataTree.`getDigestFromLoadedSnapshot()`
`DataTree.ZxidDigest`
DataTree.`getLastProcessedZxidDigest()`
Methods in org.apache.zookeeper.server that return types with arguments of type DataTree.ZxidDigest
Modifier and Type
Method
Description
`List<DataTree.ZxidDigest>`
DataTree.`getDigestLog()`
Return all the digests in the historical digest list.